Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.xml
Class SimpleNamespaceContext

    java.lang.Object
      org.modeshape.common.xml.SimpleNamespaceContext

All Implemented Interfaces:
  NamespaceContext

    public class SimpleNamespaceContext

extends Object
implements NamespaceContext

A simple `NamespaceContext` implementation that maintains the namespace and prefix mappings discovered within an XML document.

Constructor Summary
`SimpleNamespaceContext()`

Method Summary
`String` | `getNamespaceURI(String prefix)`
`String` | `getPrefix(String namespaceURI)`
`Iterator<String>` | `getPrefixes(String namespaceURI)`
`SimpleNamespaceContext` | `setNamespace(String prefix, String namespaceUri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleNamespaceContext

    public SimpleNamespaceContext()

Method Detail

### getNamespaceURI

    public String getNamespaceURI(String prefix)

  Specified by:
    `getNamespaceURI` in interface `NamespaceContext`

### getPrefix

    public String getPrefix(String namespaceURI)

  Specified by:
    `getPrefix` in interface `NamespaceContext`

### setNamespace

    public SimpleNamespaceContext setNamespace(String prefix,
                                               String namespaceUri)

### getPrefixes

    public Iterator<String> getPrefixes(String namespaceURI)

  Specified by:
    `getPrefixes` in interface `NamespaceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.